--autor: Ziuta
--data: 18.08.2014

animI3D = {}

function animI3D.prerequisitesPresent(specializations)
    return true
end
function animI3D:load(xmlFile)end
function animI3D:delete()end
function animI3D:mouseEvent(posX, posY, isDown, isUp, button)end
function animI3D:keyEvent(unicode, sym, modifier, isDown)end
function animI3D:update(dt)
    if self.isTurnedOn then
		self:setAnimationTime(1, 1)
	else
		self:setAnimationTime(1, 0)
	end
end
function animI3D:updateTick(dt)end
function animI3D:draw()end
function animI3D:onDetach()end
function animI3D:onAttach()end
function animI3D:onLeave()end
function animI3D:onDeactivate()end